Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(31)

Issue 2218783002: openjpeg: Prevent overflows when using opj_aligned_malloc() (Closed)

Created:
2 years, 11 months ago by Giwan Go
Modified:
2 years, 11 months ago
Reviewers:
Lei Zhang, Oliver Chang
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : openjpeg: Prevent overflows when using opj_aligned_malloc() #

Patch Set 3 : update the .patch file #

Unified diffs Side-by-side diffs Delta from patch set Stats (+88 lines, -1 line) Patch
A third_party/libopenjpeg20/0020-opj_aligned_malloc.patch View 1 2 1 chunk +67 lines, -0 lines 0 comments Download
M third_party/libopenjpeg20/README.pdfium View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/libopenjpeg20/dwt.c View 1 2 chunks +14 lines, -1 line 0 comments Download
M third_party/libopenjpeg20/t1.c View 2 chunks +6 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (6 generated)
Giwan Go
TBR
2 years, 11 months ago (2016-08-05 05:08:24 UTC) #2
Lei Zhang
lgtm
2 years, 11 months ago (2016-08-05 05:13:58 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2218783002/20001
2 years, 11 months ago (2016-08-05 05:14:05 UTC) #5
Lei Zhang
Oh, actually, in patch set 2, you forgot to update the .patch file.
2 years, 11 months ago (2016-08-05 05:15:19 UTC) #7
Giwan Go
On 2016/08/05 05:15:19, Lei Zhang wrote: > Oh, actually, in patch set 2, you forgot ...
2 years, 11 months ago (2016-08-05 05:27:00 UTC) #8
Lei Zhang
Thanks. BTW, "TBR" means you are going to commit without a review, and the reviewer ...
2 years, 11 months ago (2016-08-05 05:30:31 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2218783002/40001
2 years, 11 months ago (2016-08-05 05:30:47 UTC) #12
Giwan Go
On 2016/08/05 05:30:31, Lei Zhang wrote: > Thanks. BTW, "TBR" means you are going to ...
2 years, 11 months ago (2016-08-05 05:36:05 UTC) #13
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://pdfium.googlesource.com/pdfium/+/b20ab6c7acb3be1393461eb650ca8fa4660c937e
2 years, 11 months ago (2016-08-05 05:43:21 UTC) #15
Oliver Chang
2 years, 11 months ago (2016-08-08 16:29:37 UTC) #16
Message was sent while issue was closed.
lgtm

Powered by Google App Engine
This is Rietveld 408576698